/*
 *
 *  program     : tag2html
 *  version     : 0.1.1
 *  copyright   : (C) 2003 by ringostarr / sfo
 *  email       : ringostarr <ringo19@gmx.de>
 *                sfo <sfo@zapo.net>
 *  resource	: http://tag2html.sourceforge.net
 *
 *
 *
 *  This file is part of tag2html.
 *
 *  tag2html is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  tag2html is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with tag2html; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

stats::stats( )
{
	tot_alb_count = 0;
	tot_art_count = 0;

	alb_count = 0;
	art_count = 0;
	mp3_count = 0;
}

int get_albumcount( char *album, stats *mystat )
{
	bool isnew = true;
	//if( mystat->alb_count == 0 )
	//	strncpy( mystat->album[ mystat->alb_count ], album, sizeof( mystat->album[ mystat->alb_count ] ) );

	for( int i=0; i<mystat->alb_count; i++ )
	{
		if( !strcmp( mystat->album[ i ], album ) )
			isnew = false;
	}

	if( isnew == true )
	{
		strncpy( mystat->album[ mystat->alb_count ], album,
						sizeof( mystat->album[ mystat->alb_count ] ) );
		mystat->alb_count++;
	}

	mystat->tot_alb_count++;
}

int get_artistcount( char *artist, stats *mystat )
{
	bool isnew=true;
	if( mystat->art_count == 0 )
		strncpy( mystat->artist[ mystat->art_count ], artist, sizeof( mystat->artist[ mystat->art_count ] ) );

	for( int i=0; i<mystat->art_count; i++ )
	{
		if( !strcmp( mystat->artist[ i ], artist ) )
			isnew = false;
	}

	if( isnew == true )
	{
		strncpy( mystat->artist[ mystat->art_count ], artist,
						sizeof( mystat->artist[ mystat->art_count ] ) );
		mystat->art_count++;
	}

	mystat->tot_art_count++;
}

int stat_head( html *output )
{
	ofstream out( output->statfilename );

	if( !out.is_open( ) )
		return -1;

	out << "<html>
<style type=\"text/css\">
table
{
        background-color: #ffffff;
        border: thin solid black;
        font-family: sans-serif;
        font-size: 10px;
}

table.nb
{
        background-color: #ffffff;
        border: thin solid white;
        font-family: sans-serif;
        font-size: 10px;
}

tr.white
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: white;
}

tr.gray
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: #eeeeee;
}

body
{
        font-family: sans-serif;
        font-size:  10px;
}


a
{
        color: #444444;
}
</style>

<body bgcolor=#ababab text=#000000>
<br><br><br>
<table align=center width=300>
        <tr valign=top bgcolor=#cccccc>
                <td align=center>
                        <b>Statistics</b>
                </td>
        </tr>
        <tr>
                <td>
                </td>
        </tr>
        <tr>
                <td>
                        <table class=nb>"
	<< endl;

	out.close( );
	return 0;
}

int stat_content( stats *mystat, html *output )
{
	ofstream out( output->statfilename, ios::app );

	if( !out.is_open( ) )
		return -1;

	//mystat->ipop_genre = ( ( 100 * mystat->gen_count ) / mystat->tot_gen_count );

	out << "<tr><td><b>File Type:</b></td>" << endl
	    << "    <td>" << "MP3" << "</td></tr>" << endl   // for later use!
	    << "<tr><td><b>File Count:</b></td>" << endl
	    << "    <td>" << mystat->mp3_count << "</td></tr>" << endl
	    << "<tr><td><b>Artist Count:</b></td>" << endl
	    << "    <td>" << mystat->art_count << "</td></tr>" << endl
	    << "<tr><td><b>Album Count:</b></td>" << endl
	    << "    <td>" << mystat->alb_count << "</td></tr>" << endl
	    << "<tr><td><b>Total Size:</b></td>" << endl
	    << "    <td>" << ( mystat->tot_filesize / ( 1024 * 1024 ) ) << " MByte</td></tr>" << endl
	    << "<tr><td><b>Total Length:</b></td>" << endl
	    << "    <td> ~ " << mystat->tot_length << "</td></tr>" << endl;

	out.close( );
	return 0;
}

int stat_foot( html *output )
{
	ofstream out( output->statfilename, ios::app );

	if( !out.is_open( ) )
		return -1;

	out << "</table>
                </td>
        </tr>
</table>
<br><br><br>
</body>

</html>"
	<< endl;

	out.close( );
	return 0;
}

