/*
 *
 *  program     : tag2html
 *  version     : 0.1.1
 *  copyright   : (C) 2003 by ringostarr / sfo
 *  email       : ringostarr <ringo19@gmx.de>
 *                sfo <sfo@zapo.net>
 *  resource	: http://tag2html.sourceforge.net
 *
 *
 *
 *  This file is part of tag2html.
 *
 *  tag2html is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  tag2html is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with tag2html; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
int html_head( html *output, tags *mytag )
{
	ofstream out( output->htmlfilename );

	if( !out.is_open( ) )
		return -1;

	if( mytag->layout_flag > 1 )
	{
 		out << "<html>
	<head>
		<title>MP3-Leser</title>
		<style>
		table
{
        background-color: #ffffff;
        border: thin solid black;
        font-family: sans-serif;
        font-size: 10px;
}

tr.white
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: white;
}

tr.gray
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: #eeeeee;
}

body
{
        font-family: sans-serif;
        font-size:  10px;
}

a
{
        color: #444444;
}
		</style>
	</head>
	<body bgcolor=#ababab text=#303030>
        	<br><br>
                <center><u><b>List of Albums</b></u></center>
                <br><br>
                <table align=center width=500>
                        <tr bgcolor=#cccccc>
                                <td>Album</td>
                                <td>Artist</td>
                        </tr>
                        <tr class=white>
                                <td></td>
                                <td></td>
                        </tr>";
	}
	else
	{
		out << "<html>
		<head>
		<title>MP3-Leser</title>
		<style>
		table
{
        background-color: #ffffff;
        border: thin solid black;
        font-family: sans-serif;
        font-size: 10px;
}

tr.white
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: white;
}

tr.gray
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: #eeeeee;
}

body
{
        font-family: sans-serif;
        font-size:  10px;
}

a
{
        color: #444444;
}
		</style>
		</head>
		<body bgcolor=#ababab text=#303030>
        	<br><br>";
		if( output->use_php == false )
			out << "<center><u><b>Track List</u></b> ( view <a href=\"./stats.html\"><b>stats</b></a>, <a href=\"./info.html\"><b>info</b></a> )</center>" << endl;
		else
			out << "<center><u><b>Track List</u></b> ( view <a href=\"./stats.php\"><b>stats</b></a>, <a href=\"./info.php\"><b>info</b></a> )</center>" << endl;
		out << "<br><br>
		<table align=center width=1000>
			<tr bgcolor=#cccccc>
				<td width=020><b>Track</b></td>
				<td width=100><b>Artist</b></td>
				<td width=100><b>Title</b></td>
				<td width=100><b>Album</b></td>
				<td width=050><b>Year</b></td>
				<td width=100><b>Genre</b></td>
				<td width=100><b>Comment</b></td>
				<td width=050><b>Length</b></td>
				<td width=100><b>Filename</b></td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
			</tr>";
	}

	out.close( );
	return 0;
}

int html_content( tags *tagger, html *output )
{
	ofstream out( output->htmlfilename, ios::app );

	if( !out.is_open( ) )
		return -1;

	if( tagger->layout_flag < 2 )
	{
        	if( tagger->layout_flag == 1 )
			out << "<tr class=gray>" << endl;
		if( tagger->layout_flag == 0 )
			out << "<tr class=white>" << endl;

	        if( tagger->trackno < 10 )
			out << "<td>0" << tagger->trackno << "</td>" << endl;
		else    
		{
                 	if( tagger->trackno != 0 )
				out << "<td>" << tagger->trackno << "</td>" << endl;
		}
	    	out << "<td>" << tagger->artist << "</td>" << endl
	    	<< "<td>" << tagger->title << "</td>" << endl
	    	<< "<td>" << tagger->album << "</td>" << endl
	    	<< "<td>" << tagger->year << "</td>" << endl
	    	<< "<td>" << genre_string[ tagger->genre ] << "</td>" << endl;
	    	if( ( strstr( tagger->comment, "http://" ) != NULL )
		 || ( strstr( tagger->comment, "www." ) != NULL ) )
		{
			out << "<td><a href=\"" << tagger->comment << "\">"
			    << tagger->comment << "</a></td>" << endl;
		}
		else
			out << "<td>" << tagger->comment << "</td>" << endl;

		out << "<td>" << tagger->length << "</td>" << endl
	    	<< "<td>" << tagger->filename << "</td>" << endl;
	}


	if( tagger->layout_flag > 1 )
	{
        	if( tagger->layout_flag == 2 )
			out << "<tr class=white>" << endl;
		if( tagger->layout_flag == 3 )
			out << "<tr class=gray>" << endl;

		out << "<td><a href=\"./" << tagger->album << ".html\">"
		    << tagger->album << "</a></td>" << endl
		    << "<td>" << tagger->artist << "</td>" << endl;
	}

        out.close( );
	return tagger->layout_flag;
}

int html_foot( html *output )
{
	ofstream out( output->htmlfilename, ios::app );

	if( !out.is_open( ) )
		return -1;

	out << "</tr>
		</table>
	</body>
</html>";

	out.close( );
	return 0;
}
