/*
 *
 *  program     : tag2html
 *  version     : 0.1.1
 *  copyright   : (C) 2003 by ringostarr / sfo
 *  email       : ringostarr <ringo19@gmx.de>
 *                sfo <sfo@zapo.net>
 *  resource	: http://tag2html.sourceforge.net
 *
 *
 *
 *  This file is part of tag2html.
 *
 *  tag2html is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  tag2html is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with tag2html; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

int info_head( char *filename )
{
	ofstream out( filename );
	
	if( !out.is_open( ) )
		return -1;
	
	out << "<html>
	<head>
		<title>tag2html info page</title>
		<style>
		table
{
        background-color: #ffffff;
        border: thin solid black;
        font-family: sans-serif;
        font-size: 10px;
}

tr.white
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: white;
}

tr.gray
{
        font-family: sans-serif;
        font-size: 10px;
        background-color: #eeeeee;
}

body
{
        font-family: sans-serif;
        font-size:  10px;
}

a
{
        color: #444444;
}
		</style>
	</head>
	<body bgcolor=#ababab text=#303030>
                <br><br>
                <center><u><b>File Info</u></b></center>
                <br><br>
		<table align=center width=1000>
			<tr bgcolor=\"#cccccc\">
				<td width=100><b>Filename</b></td>
				<td width=050><b>Bitrate</b></td>
				<td width=100><b>MPEG Audio Version</b></td>
				<td width=100><b>Layer</b></td>
				<td width=100><b>Error Protection</b></td>
				<td width=100><b>Sampling Rate</b></td>
				<td width=050><b>Private</b></td>
				<td width=100><b>Channel Mode</b></td>
                                <td width=100><b>Copyright</b></td>
                                <td width=050><b>Original</b></td>
                                <td width=100><b>Emphasis</b></td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
			</tr>"
	    << endl;

	out.close( );
	return 0;
}

int info_body( char *filename, header *myheader, tags *mytag )
{
	ofstream out( filename, ios::app );

	if( !out.is_open( ) )
		return -1;

	if( mytag->layout_flag == 1 )
		out << "<tr class=gray>" << endl;
	if( mytag->layout_flag == 0 )
		out << "<tr class=white>" << endl;
	    
	out << "<td>" << mytag->filename << "</td>" << endl
	    << "<td>" << myheader->Bitrate << "</td>" << endl
	    << "<td>" << myheader->MPEG_Audio_Version << "</td>" << endl
	    << "<td>" << myheader->Layer << "</td>" << endl
	    << "<td>" << myheader->Error_Protection << "</td>" << endl
	    << "<td>" << myheader->Samplerate << "</td>" << endl
	    << "<td>" << myheader->Private << "</td>" << endl
	    << "<td>" << myheader->Channel_Mode << "</td>" << endl
	    << "<td>" << myheader->Copyright << "</td>" << endl
	    << "<td>" << myheader->Original << "</td>" << endl
	    << "<td>" << myheader->Emphasis << "</td>" << endl;

        out.close( );
	return mytag->layout_flag;
}

int info_foot( char *filename )
{
	ofstream out( filename, ios::app );

	if( !out.is_open( ) )
		return -1;

	out << "</table>
                </td>
        </tr>
	</table>
	<br><br><br>
	</body>

	</html>"
	<< endl;

	out.close( );
	return 0;
}
